=== debian/changelog ===
evolver (2.70+ds-10) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Aug 2025 18:11:45 +0000

evolver (2.70+ds-9) experimental; urgency=medium

  [ Jerome Benoit ]
  * Introduce d/README.source .
  * Refresh copyright year-tuples.
  * Bump standards version to 4.7.2 in d/t/control.in, no changes needed.
  * Update architecture related lists.
  * Remove constraints unnecessary since buster (oldstable) in d/t/control.in:
    + evolver-nox: Drop versioned constraint on evolver in Breaks,
    + evolver-ogl: Drop versioned constraint on evolver in Breaks.
  * Update d/control (see target update-debian-control in d/rules).
  * Harden d/p/upstream-buildmachinery-src_Makefile-adjustment.patch
    (Closes: #1105314).
  * Intropuce d/p/upstream-fix-migration_to_C23-cleanup.patch
    (Closes: #1096598).
  * Harden d/rules, thanks to Helmut Grohne <helmut@subdivi.de>,
    (Closes: #930206).

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 05 Jun 2025 12:55:47 +0000

evolver (2.70+ds-8) unstable; urgency=medium

  * debianization:
    - d/watch:
      - URL target, update;
    - d/control:
      - Homepage, update;
      - Standards-Version, bump to version 4.5.1 (no change);
    - d/copyright:
      - copyright year tuples, update;
    - d/upstream/metadata:
      - URL, secure.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Feb 2021 15:06:04 +0000

evolver (2.70+ds-7) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - Architecture field for long double precision tests, refine.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 19 Nov 2020 13:57:35 +0000

evolver (2.70+ds-6) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - Architecture field for quad precision tests, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 18 Nov 2020 20:50:26 +0000

evolver (2.70+ds-5) unstable; urgency=medium

  * FTBFS fix version, gcc-10 venue, fix faulty patch (Closes:  #957186).
  * Debianization:
    - d/templates/*:
      - d/t/tcontrol.in:
        - debhelper, bump tu 13 (no change);
        - Standards-Version, bumpt to version 4.5.0 (no change);
        - Rules-Requires-Root, introduce and set to no;
        - d/t/evolver-FLAVOUR.lintian-overrides.in, empty;
    - d/patches/*:
      - d/p/upstream-source-display-short_description.patch, FTBFS fix;
      - d/p/upstream-source-contrib-EVOLVERPATH.patch, minor fix;
      - d/p/debianization-*.patch:
        - Forwarded field, add and specify as 'not-needed';
    - d/copyright:
      - copyright year tupls, update;
    - d/changelog, quote malformed email addresses as dtected by lintian;
    - d/evolver-doc.lintian-overrides, discard;
    - d/upstream/metadata, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Nov 2020 20:39:09 +0000

evolver (2.70+ds-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Change priority extra to priority optional.
  * Use secure copyright file specification URI.

  [ Jerome Benoit ]
  * Debianization:
    - debian/copyright:
      - Copyright year-tuple, update;
    - debian/{control,templates/control.in}:
      - debhelper, bump to 11;
      - Standards-Version, bump to 4.3.0 (no change);
      - Homepage field, secure;
      - Vcs-* field, migration to salsa;
    - debian/rules:
      - debhelper, bump to 11;
      - pkg-info.mk, include;
      - get-orig-source target, discard;
    - debian/tests/control, introduce;
    - debian/watch:
      - option, compression, add;
    - debian/source/*:
      - lintian-overrides, refresh;
    - debian/{evolver-doc.doc-base,adhoc/Makfile,man/evolver.h2m,
        patches/debianization-build.patch}, debhelper, bump to 11.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 31 Dec 2018 14:06:09 +0000

evolver (2.70+ds-3) unstable; urgency=medium

  * FTBFS fix release (#Closes: 849945), (temporarily) neutralize ld build
    for ppc64el.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Jan 2017 18:31:49 +0000

evolver (2.70+ds-2) unstable; urgency=medium

  * FTBFS fixes release:
    - disable PROFILING on i386 architectures (Closes: #832538);
    - isolate architectures without sysinfo function (Closes: #832540);
    - manage quadruple floating point format support (Closes: #832638).
  * Debianization:
    - debian/patches/:
      - d/p/upstream-source-C2help2man.patch, slightly revisit.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 28 Jul 2016 00:43:59 +0000

evolver (2.70+ds-1) unstable; urgency=medium

  * New maintainer (Closes: #829082).
  * New upstream version (Closes: #745700).
  * Debianization:
    - debian/compat:
      - bump to level 9;
    - debian/copyright:
      - bump format to DEP-5;
      - refresh;
    - debian/control:
      - Standards Version, bump to 3.9.8;
      - Vcs-* headers, secure;
    - debian/watch, revisit;
    - debian/repack, introduce;
    - debian/rules:
      - bump to a fully oriented debhelper script;
      - default target, introduce;
      - get-orig-source target, introduce;
      - build-arch/build-indep scheme, introduce;
      - dpkg-buildflags, set hardening=+all;
    - debian/patches/:
      - bump format to DEP-3;
      - d/p/manpage.patch, revisit
          and rename d/p/upstream-source-manpage.pacth;
      - d/p/debian-opengl.patch, improve
          and rename d/p/debianization-build.patch;
      - d/p/install-doc.patch, revisit
          and rename d/p/debianization-documentation.patch;
      - d/p/example-path.patch, discard in favour of
          d/p/upstream-source-contrib-EVOLVERPATH.patch;
      - d/p/upstream-*.patch, introduce (and submit);
      - d/p/debianization-*.patch, introduce;
    - debian/adhoc/Makefile, introduce;
    - debian/man/evolver.h2m, introduce;
    - refresh.
  * Upstream fixes and enhancements has been submitted to the
    upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Jul 2016 18:21:13 +0000
