=== debian/tests/control ===
Test-Command: echo "g 5; v; r ; g 10; v;" | evolver cube
Depends: evolver, evolver-doc

Test-Command: echo "g 5; v; r ; g 10; v;" | evolver-nox-d cube
Depends: evolver-nox, evolver-doc

Test-Command: echo "g 5; v; r ; g 10; v;" | evolver-ogl-d cube
Depends: evolver-ogl, evolver-doc

Test-Command: echo "g 5; v; r ; g 10; v;" | evolver-nox-ld cube
Architecture: !ppc64el
Depends: evolver-nox, evolver-doc

Test-Command: echo "g 5; v; r ; g 10; v;" | evolver-ogl-ld cube
Architecture: !ppc64el
Depends: evolver-ogl, evolver-doc

Test-Command: echo "g 5; v; r ; g 10; v;" | evolver-nox-q cube
Architecture: amd64 i386 ia64 ppc64el x32
Depends: evolver-nox, evolver-doc

Test-Command: echo "g 5; v; r ; g 10; v;" | evolver-ogl-q cube
Architecture: amd64 i386 ia64 ppc64el x32
Depends: evolver-ogl, evolver-doc
