=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,compression=xz,repacksuffix=+ds \
https://facstaff.susqu.edu/brakke/evolver/evolver.html (?:.*/)?evolver[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian bash debian/repack
